Package org.eclipse.net4j.util.container

# Interface IManagedContainer.ContainerAware

All Known Subinterfaces:
  `IManagedContainerFactory`

All Known Implementing Classes:
  `AnnotationFactory`, `TreeFactory.ContainerAware`

Enclosing interface:
  `IManagedContainer`

public static interface IManagedContainer.ContainerAware

Since:
  3.4
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`setManagedContainer(IManagedContainer container)`
Assigns the container that I should use to get my dependencies.

## Method Details

### setManagedContainer

void setManagedContainer(IManagedContainer container)
Assigns the container that I should use to get my dependencies.

Parameters:
  `container` - the container in which I am created/registered